---
name: Feature request
about: Suggest an idea for this project
title: "[Feature]"
labels: enhancement, untriaged
assignees: ''

---

**Motivation: Why do you think this is important?**
A clear and concise description of what the problem is. Ex. I'm always frustrated when [...] OR why this would be a cool addition OR which usecases could this unblock.

**Goal: What should the final outcome look like, ideally?**
A clear and concise description of what you want to happen or achieve.

**Describe alternatives you've considered**
A clear and concise description of any alternative solutions or features you've considered.

**Flyte component**
- [ ] Overall
- [ ] Flyte Setup and Installation scripts
- [ ] Flyte Documentation
- [ ] Flyte communication (slack/email etc)
- [ ] FlytePropeller
- [ ] FlyteIDL (Flyte specification language)
- [ ] Flytekit (Python SDK)
- [ ] FlyteAdmin (Control Plane service)
- [ ] FlytePlugins
- [ ] DataCatalog 
- [ ] FlyteStdlib (common libraries)
- [ ] FlyteConsole (UI)
- [ ] Other

**[Optional] Propose: Link/Inline**
If you have ideas about the implementation please propose the change. If inline keep it short, if larger then you link to an external document.

**Additional context**
Add any other context or screenshots about the feature request here.

**Is this a blocker for you to adopt Flyte**
Please let us know if this makes it impossible to adopt Flyte
